angular.module('admin')
.controller('StockController', function($scope, $http, $route, $routeParams, $window){
  $scope.items = [];
  $scope.mensagem = '';
  //$scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/seller/products')
    .success(function(items){
      var products = items;
      var dock = $window.sessionStorage.dock;

      var positive = products.filter(function(element){
        return element[dock] > 0;
      });

      var negative = products.filter(function(element){
        return element[dock] < 0;
      });

      var nullStock = products.filter(function(element){
        return element[dock] == 0 || element[dock] == null;
      });

      $scope.all = products.length;
      $scope.positive = positive.length;
      $scope.negative = negative.length;
      $scope.nullStock = nullStock.length;
      $scope.dock = $window.sessionStorage.dock;

      switch ($routeParams.action) {
        case 'positive':
        $scope.items = positive;
          break;

        case 'negative':
        $scope.items = negative;
          break;

        case 'outOfStock':
        $scope.items = nullStock;
          break;

        default:
        $scope.items = items;

      }
    })
    .error(function(err){
      $scope.mensagem = 'Você não tem produtos para esse Filtro';
    });
  };
})
.controller('AltStockController', function($scope, $http, $route, $routeParams, $window){
  $scope.item = {};
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  if ($routeParams.ean) {
    $http.get('../../api/seller/products/'+$scope.dock+'/'+$routeParams.ean)
    .success(function(item){
      $scope.item = item;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter as informações do item';
    })

  }

  $scope.submeter = function(){
    if ($scope.formItem.$valid) {
      if ($routeParams.ean) {
        $http.put('../../api/seller/products/'+$scope.dock+'/'+$routeParams.ean, $scope.item)
        .success(function(){
          $scope.mensagem = 'Estoque alterado com sucesso';
        })
        .error(function(err){
          $scope.mensagem = 'Não foi possível alterar o seu estoque '+err;
        });
      };
    };
  };
});
